/**Begin D:\PDM_UPGRADE\PDM1\CIM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_CIM_INTBILL_BATCH', 'T_CIM_INTBILL_BATCH', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_INTBILL_BATCH') CREATE  CLUSTERED INDEX IDX_CIM_INTBILL_BATCH ON T_CIM_INTBILL_BATCH ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_CIM_INTBILL_BATCH_L', 'T_CIM_INTBILL_BATCH_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_INTBILL_BATCH_L') CREATE  CLUSTERED INDEX IDX_CIM_INTBILL_BATCH_L ON T_CIM_INTBILL_BATCH_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_CIM_INTBILL_BATCH_INT', 'T_CIM_INTBILL_BATCH_INT', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_INTBILL_BATCH_INT') CREATE  CLUSTERED INDEX IDX_CIM_INTBILL_BATCH_INT ON T_CIM_INTBILL_BATCH_INT ( FID );



/**End D:\PDM_UPGRADE\PDM1\CIM_constraint.sql **/

/**Begin D:\PDM_UPGRADE\PDM1\CIM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_CIM_FINSCHEME', 'T_CIM_FINSCHEME', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CIM_FINSCHEME') CREATE UNIQUE  CLUSTERED INDEX IDX_T_CIM_FINSCHEME ON T_CIM_FINSCHEME ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_CIM_FINSCHEME_L', 'T_CIM_FINSCHEME_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CIM_FINSCHEME_L') CREATE UNIQUE  CLUSTERED INDEX IDX_T_CIM_FINSCHEME_L ON T_CIM_FINSCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_CIM_FINAPPLY', 'T_CIM_FINAPPLY', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CIM_FINAPPLY') CREATE UNIQUE  CLUSTERED INDEX IDX_T_CIM_FINAPPLY ON T_CIM_FINAPPLY ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_CIM_FINAPPLY_L', 'T_CIM_FINAPPLY_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CIM_FINAPPLY_L') CREATE UNIQUE  CLUSTERED INDEX IDX_T_CIM_FINAPPLY_L ON T_CIM_FINAPPLY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_CIM_FINAPPLY_ENTRY', 'T_CIM_FINAPPLY_ENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CIM_FINAPPLY_ENTRY') CREATE UNIQUE  CLUSTERED INDEX IDX_T_CIM_FINAPPLY_ENTRY ON T_CIM_FINAPPLY_ENTRY ( FID );


/**End D:\PDM_UPGRADE\PDM1\CIM_constraint.sql **/
