/**Begin D:\PDM_UPGRADE\PDM1\CIM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_INVESTVARIETIES' AND KSQL_COL_NAME IN ('FINVESTTYPE')) 
 ALTER TABLE T_CIM_INVESTVARIETIES ADD (FINVESTTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_DEPOSIT') 
 CREATE TABLE T_CIM_DEPOSIT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FINVESTVARIETIESID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTFACTORYID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FFINACCOUNT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSETTLEACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTDATE DATETIME,
FTERM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXPIREDATE DATETIME,
FPRENOTICEDAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINTERESTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINTERESTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFERENCERATE BIGINT DEFAULT 0 NOT NULL,
FRATESIGN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRATEFLOATPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRATEADJUSTSTYLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEMANDRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASIS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREDEEMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSURPLUSAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTREDEEMDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FFINACCOUNTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_DEPOSIT_L') 
 CREATE TABLE T_CIM_DEPOSIT_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_RELEASE') 
 CREATE TABLE T_CIM_RELEASE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FFINBILLNOID BIGINT DEFAULT 0 NOT NULL,
FINVESTVARIETIESID BIGINT DEFAULT 0 NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FFINACCOUNT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLASTREDEEMDATE DATETIME,
FSURPLUSAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FINTERESTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRELEASETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREDEEMDATE DATETIME,
FISREVENUE CHAR(1) DEFAULT ' ' NOT NULL,
FDEMANDRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREDICTINSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALREVENUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FFINACCOUNTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_RELEASE_L') 
 CREATE TABLE T_CIM_RELEASE_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_RELEASEENTRY') 
 CREATE TABLE T_CIM_RELEASEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FESTARTDATE DATETIME,
FEENDDATE DATETIME,
FEDAYS INT DEFAULT 0 NOT NULL,
FEFINAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEPLANREVENUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FECONVERTDAYS INT DEFAULT 0 NOT NULL,
FEREVENUEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\CIM_table.sql **/
