/**Begin D:\PDM_UPGRADE\PDM1\CIM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_DEPOSIT' AND KSQL_COL_NAME IN ('FAPPLYID'))
 ALTER TABLE T_CIM_DEPOSIT ADD (FAPPLYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_DEPOSIT' AND KSQL_COL_NAME IN ('FISREDEPOSIT'))
 ALTER TABLE T_CIM_DEPOSIT ADD (FISREDEPOSIT CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_RELEASE' AND KSQL_COL_NAME IN ('FAPPLYID'))
 ALTER TABLE T_CIM_RELEASE ADD (FAPPLYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_DEPOSITAPPLY')
 CREATE TABLE T_CIM_DEPOSITAPPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPLYORGID BIGINT DEFAULT 0 NOT NULL,
FAPPLYTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEPOSITID BIGINT DEFAULT 0 NOT NULL,
FAPPLYSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPLYDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FINVESTVARIETIESID BIGINT DEFAULT 0 NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTDATE DATETIME,
FTERM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXPIREDATE DATETIME,
FINTERESTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINTERESTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFERENCERATE BIGINT DEFAULT 0 NOT NULL,
FRATESIGN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRATEFLOATPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRELEASETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRODUCTFACTORYID BIGINT DEFAULT 0 NOT NULL,
FESTIMATEDATE DATETIME,
FRELEASEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISROLLING CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_DEPOSITAPPLY_L')
 CREATE TABLE T_CIM_DEPOSITAPPLY_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


/**End D:\PDM_UPGRADE\PDM1\CIM_table.sql **/
