﻿/**Begin D:\PDM_UPGRADE\PDM1\CIM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_FINSUBSCRIBEBAL') 
 CREATE TABLE T_CIM_FINSUBSCRIBEBAL (
FID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTBANKID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALIBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLSTBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEBITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FKEYCOL NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_FINSUBSCRIBEBAL_SP') 
 CREATE TABLE T_CIM_FINSUBSCRIBEBAL_SP (
FID BIGINT DEFAULT 0 NOT NULL,
FKEYCOL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FUPDATETIME BIGINT DEFAULT 0 NOT NULL,
FISNEW CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FUPDATETYPE BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FUPDATERULEID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDEBITAMOUNT_SP DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_FINSUBSCRIBEBAL_TP') 
 CREATE TABLE T_CIM_FINSUBSCRIBEBAL_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FKEYCOL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FUPDATETIME BIGINT DEFAULT 0 NOT NULL,
FISNEW CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FUPDATETYPE BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FUPDATERULEID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FREADTYPE CHAR(1) DEFAULT '0' NOT NULL,
FMOVETYPE CHAR(1) DEFAULT '0' NOT NULL,
FCOVERFLAG CHAR(1) DEFAULT '0' NOT NULL,
FDEBITAMOUNT_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSYNC CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_DEPOSITBAL_TP') 
 CREATE TABLE T_CIM_DEPOSITBAL_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FKEYCOL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FUPDATETIME BIGINT DEFAULT 0 NOT NULL,
FISNEW CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FUPDATETYPE BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FUPDATERULEID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FREADTYPE CHAR(1) DEFAULT '0' NOT NULL,
FMOVETYPE CHAR(1) DEFAULT '0' NOT NULL,
FCOVERFLAG CHAR(1) DEFAULT '0' NOT NULL,
FDEBITAMOUNT_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSYNC CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_DEPOSITBAL_SP') 
 CREATE TABLE T_CIM_DEPOSITBAL_SP (
FID BIGINT DEFAULT 0 NOT NULL,
FKEYCOL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FUPDATETIME BIGINT DEFAULT 0 NOT NULL,
FISNEW CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FUPDATETYPE BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FUPDATERULEID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDEBITAMOUNT_SP DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_DEPOSITBAL') 
 CREATE TABLE T_CIM_DEPOSITBAL (
FID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTBANKID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALIBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLSTBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEBITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FKEYCOL NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\CIM_table.sql **/
