﻿/**Begin D:\PDM\PDM_UPGRADE\PDM1\CIM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_CIM_DEPOSITAPPLY_ENTRY', 'T_CIM_DEPOSITAPPLY_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEMEID') CREATE INDEX IDX_SCHEMEID ON T_CIM_DEPOSITAPPLY_ENTRY ( FSCHEMEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DEPOSITLIST_SCHEMEID') CREATE INDEX IDX_DEPOSITLIST_SCHEMEID ON T_CIM_DEPOSITAPPLY_ENTRY ( FDEPOSITSCHEMEID );


 EXEC P_ALTERPK 'PK_T_CIM_DEPOSITAPPLY_E', 'T_CIM_DEPOSITAPPLY_E', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FTRADECHANNEL') CREATE INDEX IDX_FTRADECHANNEL ON T_CIM_DEPOSITAPPLY_E ( FTRADECHANNEL );


 EXEC P_ALTERPK 'PK_T_CIM_DEPOSITSCHEME', 'T_CIM_DEPOSITSCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DEPOSIT_NUMBER') CREATE UNIQUE INDEX IDX_DEPOSIT_NUMBER ON T_CIM_DEPOSITSCHEME ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DEPOSIT_APPLYID') CREATE INDEX IDX_DEPOSIT_APPLYID ON T_CIM_DEPOSITSCHEME ( FDEPOSITAPPLYID );


 EXEC P_ALTERPK 'PK_T_CIM_DEPOSITSCHEME_L', 'T_CIM_DEPOSITSCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_DEPOSITSCHEME_L') CREATE INDEX IDX_CIM_DEPOSITSCHEME_L ON T_CIM_DEPOSITSCHEME_L ( FID ,FLOCALEID );


/**End D:\PDM\PDM_UPGRADE\PDM1\CIM_constraint.sql **/
