/**Begin D:\PDM\PDM_UPGRADE\PDM1\CIM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_DPTREVENUE' AND KSQL_COL_NAME IN ('FISHISTORYBUILD')) 
 ALTER TABLE T_CIM_DPTREVENUE ADD (FISHISTORYBUILD CHAR(1) DEFAULT '0' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_FINBILL_REV_ENTRY' AND KSQL_COL_NAME IN ('FREVENUEREMARK')) 
 ALTER TABLE T_CIM_FINBILL_REV_ENTRY ADD (FREVENUEREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_FINSUBSCRIBE_E' AND KSQL_COL_NAME IN ('FHANDREVEPLAN')) 
 ALTER TABLE T_CIM_FINSUBSCRIBE_E ADD (FHANDREVEPLAN CHAR(1) DEFAULT '0' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_DEPOSIT_E' AND KSQL_COL_NAME IN ('FHANDINSTPLAN'))
 ALTER TABLE T_CIM_DEPOSIT_E ADD (FHANDINSTPLAN CHAR(1) DEFAULT '0' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_DEPOSIT_REVENTRY')
 CREATE TABLE T_CIM_DEPOSIT_REVENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FREVENUESEQ NVARCHAR(80) DEFAULT ' ' NOT NULL,
FREVENUEDATE DATETIME,
FREVENUECALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREVENUESTATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREVENUEDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_DEPOSIT_SUBREVENTRY')
 CREATE TABLE T_CIM_DEPOSIT_SUBREVENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENDDATE DATETIME,
FSTARTDATE DATETIME,
FDAYS INT DEFAULT 0 NOT NULL,
FEPLANREVENUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEREVENUEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONVERTDAYS INT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_DPTREVENUE' AND KSQL_COL_NAME IN ('FCONFIRMSTATUS')) 
 ALTER TABLE T_CIM_DPTREVENUE ADD (FCONFIRMSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_DPTREVENUE' AND KSQL_COL_NAME IN ('FDATASOURCE')) 
 ALTER TABLE T_CIM_DPTREVENUE ADD (FDATASOURCE NVARCHAR(50) DEFAULT ' ' NOT NULL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_DPTREVENUEBATCH' AND KSQL_COL_NAME IN ('FDATASOURCE')) 
 ALTER TABLE T_CIM_DPTREVENUEBATCH ADD (FDATASOURCE NVARCHAR(50) DEFAULT ' ' NOT NULL );

/**End D:\PDM\PDM_UPGRADE\PDM1\CIM_table.sql **/
