/*  
 单据名称历史数据升级，因定期、通知、内定、内通4个单据共用一张表，用此字段作数据筛选
*********************************************************************
 定期非结算中心
*/
update t_cim_deposit_e t set fbilltype='cim_deposit'
where exists (select 1 from t_cim_deposit b where b.fid=t.fid and (b.fprenoticeday is null or b.fprenoticeday =' '  or b.fprenoticeday =''))
and (fproductid =0 or fproductid is null);

/*
 通知非结算中心
*/
update t_cim_deposit_e t set fbilltype='cim_noticedeposit'
where exists (select 1 from t_cim_deposit b where b.fid=t.fid and fprenoticeday in ('01','07','00'))
and (fproductid =0 or fproductid is null);

/*
 定期且结算中心
*/
update t_cim_deposit_e t set fbilltype='ifm_deposit'
where exists (select 1 from t_cim_deposit b where b.fid=t.fid and (b.fprenoticeday is null or b.fprenoticeday =' '  or b.fprenoticeday =''))
and fproductid >0;

/*
 通知且结算中心
*/
update t_cim_deposit_e t set fbilltype='ifm_notice_deposit'
where exists (select 1 from t_cim_deposit b where b.fid=t.fid and fprenoticeday in ('01','07','00'))
and fproductid >0;