/**Begin D:\PDM_UPGRADE\PDM1\CIM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_CIM_FINSUBSCRIBE', 'T_CIM_FINSUBSCRIBE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_FINSUBSCRIBE') CREATE  CLUSTERED INDEX IDX_CIM_FINSUBSCRIBE ON T_CIM_FINSUBSCRIBE ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_CIM_FINSUBSCRIBE_E', 'T_CIM_FINSUBSCRIBE_E', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_FINSUBSCRIBE_E') CREATE  CLUSTERED INDEX IDX_CIM_FINSUBSCRIBE_E ON T_CIM_FINSUBSCRIBE_E ( FREDEEMWAY );


 EXEC P_ALTERPK 'PK_T_CIM_FINSUBSCRIBE_L', 'T_CIM_FINSUBSCRIBE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_FINSUBSCRIBE_L') CREATE  CLUSTERED INDEX IDX_CIM_FINSUBSCRIBE_L ON T_CIM_FINSUBSCRIBE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_CIM_FINBILL_REV_ENTRY', 'T_CIM_FINBILL_REV_ENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_FINBILL_REV_ENTRY') CREATE  CLUSTERED INDEX IDX_CIM_FINBILL_REV_ENTRY ON T_CIM_FINBILL_REV_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_CIM_FINBILL_REV_SENTRY', 'T_CIM_FINBILL_REV_SENTRY', 'FDETAILID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_FINBILL_REV_SENTRY') CREATE  CLUSTERED INDEX IDX_CIM_FINBILL_REV_SENTRY ON T_CIM_FINBILL_REV_SENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_CIM_FINBILL_RA_ENTRY', 'T_CIM_FINBILL_RA_ENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_FINBILL_RA_ENTRY') CREATE  CLUSTERED INDEX IDX_CIM_FINBILL_RA_ENTRY ON T_CIM_FINBILL_RA_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_CIM_FINSUBSCRIBE_WD', 'T_CIM_FINSUBSCRIBE_WD', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_FINSUBSCRIBE_WD') CREATE  CLUSTERED INDEX IDX_CIM_FINSUBSCRIBE_WD ON T_CIM_FINSUBSCRIBE_WD ( FID );


 EXEC P_ALTERPK 'PK_T_CIM_REDEEM', 'T_CIM_REDEEM', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_REDEEM') CREATE  CLUSTERED INDEX IDX_CIM_REDEEM ON T_CIM_REDEEM ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_CIM_REDEEM_E', 'T_CIM_REDEEM_E', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_REDEEM_E') CREATE  CLUSTERED INDEX IDX_CIM_REDEEM_E ON T_CIM_REDEEM_E ( FCOUNT );


 EXEC P_ALTERPK 'PK_T_CIM_REDEEM_L', 'T_CIM_REDEEM_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_REDEEM_L') CREATE  CLUSTERED INDEX IDX_CIM_REDEEM_L ON T_CIM_REDEEM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_CIM_REVENUE', 'T_CIM_REVENUE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_REVENUE') CREATE INDEX IDX_CIM_REVENUE ON T_CIM_REVENUE ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_CIM_REVENUE_E', 'T_CIM_REVENUE_E', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_REVENUE_E') CREATE  CLUSTERED INDEX IDX_CIM_REVENUE_E ON T_CIM_REVENUE_E ( FREVENUESORT );


 EXEC P_ALTERPK 'PK_T_CIM_REVENUE_L', 'T_CIM_REVENUE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_REVENUE_L') CREATE  CLUSTERED INDEX IDX_CIM_REVENUE_L ON T_CIM_REVENUE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_CIM_REVENUE_ENTRYS', 'T_CIM_REVENUE_ENTRYS', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_REVENUE_ENTRYS') CREATE  CLUSTERED INDEX IDX_CIM_REVENUE_ENTRYS ON T_CIM_REVENUE_ENTRYS ( FID );



/**End D:\PDM_UPGRADE\PDM1\CIM_constraint.sql **/
