/**Begin D:\PDM_UPGRADE\PDM1\CIM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_FINSUBSCRIBE') 
 CREATE TABLE T_CIM_FINSUBSCRIBE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FINVESTVARIETIESID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTFACTORYID BIGINT DEFAULT 0 NOT NULL,
FPURCHASEDATE DATETIME,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FINACCOUNT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSETTLEACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FFINACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FVALUEDATE DATETIME,
FTERM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXPIREDATE DATETIME,
FRISKLEVEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREVENUETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPLANREVENUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDINSTDATE DATETIME,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_FINSUBSCRIBE_E') 
 CREATE TABLE T_CIM_FINSUBSCRIBE_E (
FID BIGINT DEFAULT 0 NOT NULL,
FREFERRATEID BIGINT DEFAULT 0 NOT NULL,
FRATEFLOATTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRATEFLOAT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASIS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRATERESET NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREPRICINGTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREPRICING INT DEFAULT 0 NOT NULL,
FFIRSTRESETDATE DATETIME,
FBUYCOPIES INT DEFAULT 0 NOT NULL,
FIOPV DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREDEEMWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBONUSWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREVENUEPROJECTID BIGINT DEFAULT 0 NOT NULL,
FREDEEMPATTERNSTR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREDEEMPATTERN INT DEFAULT 0 NOT NULL,
FFINSERVICESTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREDEEMAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREDEEMCOPIES INT DEFAULT 0 NOT NULL,
FSURPLUSAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSURPLUSCOPIES INT DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTOTALCOPIES INT DEFAULT 0 NOT NULL,
FFUTUREAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_FINSUBSCRIBE_L') 
 CREATE TABLE T_CIM_FINSUBSCRIBE_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPRODUCTNAME NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_FINBILL_REV_ENTRY') 
 CREATE TABLE T_CIM_FINBILL_REV_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FREVENUESEQ NVARCHAR(80) DEFAULT ' ' NOT NULL,
FREVENUEDATE DATETIME,
FREVENUECALAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_FINBILL_REV_SENTRY') 
 CREATE TABLE T_CIM_FINBILL_REV_SENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENDDATE DATETIME,
FSTARTDATE DATETIME,
FDAYS INT DEFAULT 0 NOT NULL,
FEPLANREVENUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEREVENUEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FFINAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCONVERTDAYS INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_FINBILL_RA_ENTRY') 
 CREATE TABLE T_CIM_FINBILL_RA_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMDATE DATETIME,
FSEQ INT DEFAULT 0 NOT NULL,
FRAEFFECTDATE DATETIME,
FRAYEARRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRAREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRAMODIFIER BIGINT DEFAULT 0 NOT NULL,
FRAMODIFYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_FINSUBSCRIBE_WD') 
 CREATE TABLE T_CIM_FINSUBSCRIBE_WD (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_REDEEM') 
 CREATE TABLE T_CIM_REDEEM (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FFINBILLNOID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FINACCOUNT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLASTREDEEMDATE DATETIME,
FSURPLUSAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREDEEMWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREDEEMPATTERNSTR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREDEEMPATTERN INT DEFAULT 0 NOT NULL,
FFINACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSURPLUSCOPIES INT DEFAULT 0 NOT NULL,
FRECBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_REDEEM_E') 
 CREATE TABLE T_CIM_REDEEM_E (
FID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRECACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FEXPIREDATE DATETIME,
FREDEEMDATE DATETIME,
FREALREVENUE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCOPIES INT DEFAULT 0 NOT NULL,
FIOPV DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISREVENUE CHAR(1) DEFAULT ' ' NOT NULL,
FREVENUEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRECACCOUNT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBASIS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOUNT INT DEFAULT 0 NOT NULL,
FISPUSHREC CHAR(1) DEFAULT ' ' NOT NULL,
FINVESTVARIETIESID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_REDEEM_L') 
 CREATE TABLE T_CIM_REDEEM_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPRODUCTNAME NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_REVENUE') 
 CREATE TABLE T_CIM_REVENUE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FFINBILLNOID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FINACCOUNT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FFINACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FRECBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBONUSWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREVENUEPROJECTID BIGINT DEFAULT 0 NOT NULL,
FREVENUETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_REVENUE_E') 
 CREATE TABLE T_CIM_REVENUE_E (
FID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRECACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FEXPIREDATE DATETIME,
FCOPIES INT DEFAULT 0 NOT NULL,
FIOPV DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREVENUEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRECACCOUNT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBASIS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISPUSHREC CHAR(1) DEFAULT ' ' NOT NULL,
FINVESTVARIETIESID BIGINT DEFAULT 0 NOT NULL,
FREVENUEDAYS INT DEFAULT 0 NOT NULL,
FREVENUESORT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREVENUEENDDATE DATETIME,
FREVENUESTARTDATE DATETIME,
FREDEEMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_REVENUE_L') 
 CREATE TABLE T_CIM_REVENUE_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPRODUCTNAME NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_REVENUE_ENTRYS') 
 CREATE TABLE T_CIM_REVENUE_ENTRYS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENDDATE DATETIME,
FSTARTDATE DATETIME,
FDAYS INT DEFAULT 0 NOT NULL,
FEPLANREVENUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEREVENUEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FFINAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCONVERTDAYS INT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\CIM_table.sql **/
