/**Begin D:\PDM_UPGRADE\PDM1\CIM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_OVERNIGHT') 
 CREATE TABLE T_CIM_OVERNIGHT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FFINORGTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FACCOUNTBANK BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FLASTREDEEMDATE DATETIME,
FLASTREVENUERATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_OVERNIGHT_L') 
 CREATE TABLE T_CIM_OVERNIGHT_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_OVERNIGHT_ENTRYS') 
 CREATE TABLE T_CIM_OVERNIGHT_ENTRYS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FOPERATION NVARCHAR(30) DEFAULT ' ' NOT NULL,
FOPAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREVENUEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREVENUERATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\CIM_table.sql **/
