﻿/**Begin D:\PDM_UPGRADE\PDM1\CIM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_INVESTMODEL') 
 CREATE TABLE T_CIM_INVESTMODEL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FPARTYTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINVESTVARIETIESID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYRULE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FTERMTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FISQUOTALIMIT CHAR(1) DEFAULT '0' NOT NULL,
FEFFECTRULE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBASIS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINTHEADTAILRULE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINTCALMETHOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINTROUNDRULE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRATETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRATEADJUSTMETHOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREDEEMWAY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPROFITWAY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FGRACEADJUSTRULE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRATERESETDAYS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPROFITTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_INVESTMODEL_CUR') 
 CREATE TABLE T_CIM_INVESTMODEL_CUR (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_INVESTMODEL_L') 
 CREATE TABLE T_CIM_INVESTMODEL_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\CIM_table.sql **/
