/**Begin D:\PDM_UPGRADE\PDM1\CIM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_REVENUE' AND KSQL_COL_NAME IN ('FDATASOURCE'))
 ALTER TABLE T_CIM_REVENUE ADD (FDATASOURCE NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_REVENUE' AND KSQL_COL_NAME IN ('FOPERATYPE'))
 ALTER TABLE T_CIM_REVENUE ADD (FOPERATYPE NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_REVENUE' AND KSQL_COL_NAME IN ('FBIZDATE'))
 ALTER TABLE T_CIM_REVENUE ADD (FBIZDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_REVENUE' AND KSQL_COL_NAME IN ('FWRITEOFFSTATUS'))
 ALTER TABLE T_CIM_REVENUE ADD (FWRITEOFFSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_REVENUE' AND KSQL_COL_NAME IN ('FWRITEOFFBILLNO'))
 ALTER TABLE T_CIM_REVENUE ADD (FWRITEOFFBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_REVENUE' AND KSQL_COL_NAME IN ('FWRITEOFFAMT'))
 ALTER TABLE T_CIM_REVENUE ADD (FWRITEOFFAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_REVENUE' AND KSQL_COL_NAME IN ('FNOWRITEOFFAMT'))
 ALTER TABLE T_CIM_REVENUE ADD (FNOWRITEOFFAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_REVENUE' AND KSQL_COL_NAME IN ('FWRITEOFFPREINTBILLID'))
 ALTER TABLE T_CIM_REVENUE ADD (FWRITEOFFPREINTBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_REVENUE' AND KSQL_COL_NAME IN ('FINTBATCHBILLID'))
 ALTER TABLE T_CIM_REVENUE ADD (FINTBATCHBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_FINSUBSCRIBE' AND KSQL_COL_NAME IN ('FLASTPAYINSTDATE'))
 ALTER TABLE T_CIM_FINSUBSCRIBE ADD (FLASTPAYINSTDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_INTBILL_BATCH')
 CREATE TABLE T_CIM_INTBILL_BATCH (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FPREINTDATE DATETIME,
FOPERATYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_INTBILL_BATCH_L')
 CREATE TABLE T_CIM_INTBILL_BATCH_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_INTBILL_BATCH_INT')
 CREATE TABLE T_CIM_INTBILL_BATCH_INT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINTBILLID BIGINT DEFAULT 0 NOT NULL,
FINTDETAILNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FINTDAYS BIGINT DEFAULT 0 NOT NULL,
FFINBILLID BIGINT DEFAULT 0 NOT NULL,
FFINBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FINTERESTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISWRITEOFF CHAR(1) DEFAULT '0' NOT NULL,
FWRITEOFFBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FINTDETAIL_TAG NCLOB,
FINTDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FWRITEOFFBILLID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\CIM_table.sql **/


/**Begin D:\PDM_UPGRADE\PDM1\CIM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_FINSCHEME') 
 CREATE TABLE T_CIM_FINSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREDEEMPATTERN INT DEFAULT 0 NOT NULL,
FREDEEMPATTERNSTR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINVESTVARIETIESID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTFACTORYID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT VARCHAR(255) DEFAULT ' ' NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FFINACCOUNT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSETTLEACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FFINACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FREDEEMWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBONUSWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREVENUEPROJECTID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FVALUEDATE DATETIME,
FTERM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXPIREDATE DATETIME,
FRISKLEVEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREVENUETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPLANREVENUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUYCOPIES BIGINT DEFAULT 0 NOT NULL,
FIOPV DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FINTDATE DATETIME,
FFLOATPLANREVENUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FBASIS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFINAPPLYID BIGINT DEFAULT 0 NOT NULL,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_FINSCHEME_L') 
 CREATE TABLE T_CIM_FINSCHEME_L (
FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_FINAPPLY') 
 CREATE TABLE T_CIM_FINAPPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FREDEEMPATTERN INT DEFAULT 0 NOT NULL,
FREDEEMPATTERNSTR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFINSERVICESTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINVESTVARIETIESID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTFACTORYID BIGINT DEFAULT 0 NOT NULL,
FPURCHASEDATE DATETIME,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FFINACCOUNT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSETTLEACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FFINACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FREDEEMWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBONUSWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREVENUEPROJECTID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FVALUEDATE DATETIME,
FTERM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXPIREDATE DATETIME,
FRISKLEVEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREVENUETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPLANREVENUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUYCOPIES BIGINT DEFAULT 0 NOT NULL,
FIOPV DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FINTDATE DATETIME,
FFLOATPLANREVENUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FBASIS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINQUIRY CHAR(1) DEFAULT ' ' NOT NULL,
FRELATESCHEME CHAR(1) DEFAULT ' ' NOT NULL,
FISSUBSCRIBE CHAR(1) DEFAULT ' ' NOT NULL,
FPRODUCTNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENABLE NVARCHAR(50) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_FINAPPLY_L') 
 CREATE TABLE T_CIM_FINAPPLY_L (
FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRODUCTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_FINAPPLY_ENTRY') 
 CREATE TABLE T_CIM_FINAPPLY_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPRODUCTNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINVESTVARIETIESID BIGINT DEFAULT 0 NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FFINACCOUNT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISSELECT CHAR(1) DEFAULT ' ' NOT NULL,
FVALUEDATE DATETIME,
FSETTLEACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FBUYCOPIES BIGINT DEFAULT 0 NOT NULL,
FIOPV DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPLANREVENUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREVENUETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFLOATPLANREVENUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXPIREDATE DATETIME,
FTERM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREDEEMWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBASIS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINTDATE DATETIME,
FBONUSWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREVENUEPROJECTID BIGINT DEFAULT 0 NOT NULL,
FRISKLEVEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\CIM_table.sql **/

