﻿/**Begin D:\PDM_UPGRADE\PDM1\CIM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_DEPOSIT_E') 
 CREATE TABLE T_CIM_DEPOSIT_E (
FID BIGINT DEFAULT 0 NOT NULL,
FDEADLINE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREQNBR NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_RELEASE' AND KSQL_COL_NAME IN ('FACCOUNTDATE')) 
 ALTER TABLE T_CIM_RELEASE ADD (FACCOUNTDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_DEPOSITAPPLY' AND KSQL_COL_NAME IN ('FTRADECHANNEL'))
 ALTER TABLE T_CIM_DEPOSITAPPLY ADD (FTRADECHANNEL NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_DEPOSITAPPLY' AND KSQL_COL_NAME IN ('FDEADLINE'))
  ALTER TABLE T_CIM_DEPOSITAPPLY ADD (FDEADLINE NVARCHAR(50) DEFAULT ' ' NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_FINAPPLY_E')
 CREATE TABLE T_CIM_FINAPPLY_E (
FID BIGINT DEFAULT 0 NOT NULL,
FREDEMPTIONCOPIES INT DEFAULT 0 NOT NULL,
FREDEMPTIONIOPV DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISRENEWAL CHAR(1) DEFAULT ' ' NOT NULL,
FISROLLCAPITAL CHAR(1) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_FINAPPLY_E' AND KSQL_COL_NAME IN ('FADDAMOUNT'))
 ALTER TABLE T_CIM_FINAPPLY_E ADD (FADDAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_FINAPPLY_E' AND KSQL_COL_NAME IN ('FLASTAMOUNT'))
 ALTER TABLE T_CIM_FINAPPLY_E ADD (FLASTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_DEPOSITAPPLY' AND KSQL_COL_NAME IN ('FREMARK'))
 ALTER TABLE T_CIM_DEPOSITAPPLY ADD (FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL );

/**End D:\PDM_UPGRADE\PDM1\CIM_table.sql **/
