﻿/**Begin D:\PDM_UPGRADE\PDM1\CIM_constraint.sql **/
 EXEC P_ALTERPK 'PK_CIM_FINSUBSCRIBEBAL', 'T_CIM_FINSUBSCRIBEBAL', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_FINSUBSCRIBEBAL_COMP') CREATE  CLUSTERED INDEX IDX_CIM_FINSUBSCRIBEBAL_COMP ON T_CIM_FINSUBSCRIBEBAL ( FCOMPANYID ,FBIZDATE ,FCURRENCYID );


 EXEC P_ALTERPK 'PK_CIM_FINSUBSCRIBEBAL_SP', 'T_CIM_FINSUBSCRIBEBAL_SP', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_FINSUBSCRIBEBAL_SP') CREATE  CLUSTERED INDEX IDX_CIM_FINSUBSCRIBEBAL_SP ON T_CIM_FINSUBSCRIBEBAL_SP ( FKEYCOL ,FDEBITAMOUNT_SP );


 EXEC P_ALTERPK 'PK_CIM_FINSUBSCRIBEBAL_TP', 'T_CIM_FINSUBSCRIBEBAL_TP', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_FINSUBSBAL_TP_TPBID') CREATE  CLUSTERED INDEX IDX_CIM_FINSUBSBAL_TP_TPBID ON T_CIM_FINSUBSCRIBEBAL_TP ( FBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_FINSUBSBAL_TP_TPBNO') CREATE INDEX IDX_CIM_FINSUBSBAL_TP_TPBNO ON T_CIM_FINSUBSCRIBEBAL_TP ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_FINSUBSBAL_TP_TPEID') CREATE INDEX IDX_CIM_FINSUBSBAL_TP_TPEID ON T_CIM_FINSUBSCRIBEBAL_TP ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_FINSUBSBAL_TP_TPKC') CREATE INDEX IDX_CIM_FINSUBSBAL_TP_TPKC ON T_CIM_FINSUBSCRIBEBAL_TP ( FKEYCOL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_FINSUBSBAL_TP_TPUT') CREATE INDEX IDX_CIM_FINSUBSBAL_TP_TPUT ON T_CIM_FINSUBSCRIBEBAL_TP ( FUPDATETIME );


 EXEC P_ALTERPK 'PK_CIM_DEPOSITBAL', 'T_CIM_DEPOSITBAL', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_DEPOSITBAL_COMP') CREATE  CLUSTERED INDEX IDX_CIM_DEPOSITBAL_COMP ON T_CIM_DEPOSITBAL ( FCOMPANYID ,FBIZDATE ,FCURRENCYID );


 EXEC P_ALTERPK 'PK_CIM_DEPOSITBAL_SP', 'T_CIM_DEPOSITBAL_SP', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_DEPOSITBAL_SP') CREATE  CLUSTERED INDEX IDX_CIM_DEPOSITBAL_SP ON T_CIM_DEPOSITBAL_SP ( FKEYCOL ,FDEBITAMOUNT_SP );


 EXEC P_ALTERPK 'PK_CIM_DEPOSITBAL_TP', 'T_CIM_DEPOSITBAL_TP', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_DEPOSITBAL_TP_TPBID') CREATE  CLUSTERED INDEX IDX_CIM_DEPOSITBAL_TP_TPBID ON T_CIM_DEPOSITBAL_TP ( FBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_DEPOSITBAL_TP_TPBNO') CREATE INDEX IDX_CIM_DEPOSITBAL_TP_TPBNO ON T_CIM_DEPOSITBAL_TP ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_DEPOSITBAL_TP_TPEID') CREATE INDEX IDX_CIM_DEPOSITBAL_TP_TPEID ON T_CIM_DEPOSITBAL_TP ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_DEPOSITBAL_TP_TPKC') CREATE INDEX IDX_CIM_DEPOSITBAL_TP_TPKC ON T_CIM_DEPOSITBAL_TP ( FKEYCOL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_DEPOSITBAL_TP_TPUT') CREATE INDEX IDX_CIM_DEPOSITBAL_TP_TPUT ON T_CIM_DEPOSITBAL_TP ( FUPDATETIME );



/**End D:\PDM_UPGRADE\PDM1\CIM_constraint.sql **/
