﻿/**Begin D:\PDM\PDM_UPGRADE\PDM1\CIM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_MARKETCMB') 
 CREATE TABLE T_CIM_MARKETCMB (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLISTDATE DATETIME,
FUNTILLDATE DATETIME,
FAGENCY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRISKLEVEL NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSURPLUSQUOTA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEDATE DATETIME,
FSUBSCRIBEMARK CHAR(1) DEFAULT '0' NOT NULL,
FPRDTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPRDLIMITINFO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOPYBASE INT DEFAULT 0 NOT NULL,
FSUBAMTCEIL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBAMTFLOOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPLYSTARTDATE DATETIME,
FAPPLYENDDATE DATETIME,
FAPPLYFEERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBSTARTDATE DATETIME,
FSUBENDDATE DATETIME,
FSUBFEERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBPERIOD INT DEFAULT 0 NOT NULL,
FSUBSPEED NVARCHAR(80) DEFAULT ' ' NOT NULL,
FREDEEMSTARTDATE DATETIME,
FREDEEMENDDATE DATETIME,
FREDEEMFEERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREDEEMPERIOD INT DEFAULT 0 NOT NULL,
FREDEEMSPEED NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBONUSCOUNT INT DEFAULT 0 NOT NULL,
FBONUSAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBONUSCOPY INT DEFAULT 0 NOT NULL,
FAGENCYNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREDEEMCEIL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREDEEMFLOOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREDEEMCONTROL CHAR(1) DEFAULT '0' NOT NULL,
FSUBCONTROL CHAR(1) DEFAULT '0' NOT NULL,
FAPPLYCONTROL CHAR(1) DEFAULT '0' NOT NULL,
FBONUSCONTROL CHAR(1) DEFAULT '0' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_MARKETCMB_L') 
 CREATE TABLE T_CIM_MARKETCMB_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_PAGEINQUIRYSET') 
 CREATE TABLE T_CIM_PAGEINQUIRYSET (
FID BIGINT DEFAULT 0 NOT NULL,
FPAGESIZE INT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


/**End D:\PDM\PDM_UPGRADE\PDM1\CIM_table.sql **/
