﻿/**Begin D:\PDM\PDM_UPGRADE\PDM1\CIM_table.sql **/
EXEC p_AlterColumn 'T_CIM_DEPOSITAPPLY', 'FISROLLING', 'CHAR(1)', 'NOT NULL', '0001', '''0''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_DEPOSITAPPLY' AND KSQL_COL_NAME IN ('FLASTAMOUNT')) 
 ALTER TABLE T_CIM_DEPOSITAPPLY ADD (FLASTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_DEPOSITAPPLY' AND KSQL_COL_NAME IN ('FINQUIRY')) 
 ALTER TABLE T_CIM_DEPOSITAPPLY ADD (FINQUIRY CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_DEPOSITAPPLY_ENTRY') 
 CREATE TABLE T_CIM_DEPOSITAPPLY_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FISSELECT CHAR(1) DEFAULT '0' NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTERESTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTERESTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXPIREDATE DATETIME,
FTERM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRADECHANNEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXPIREREDEPOSIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINTDATE DATETIME,
FPRENOTICEDAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREFERENCERATE BIGINT DEFAULT 0 NOT NULL,
FDEADLINE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FINVESTVARIETIESID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FRATESIGN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRATEFLOATPOINT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDEPOSITSCHEMEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_DEPOSITAPPLY_E') 
 CREATE TABLE T_CIM_DEPOSITAPPLY_E (
FID BIGINT DEFAULT 0 NOT NULL,
FTRADECHANNEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEADLINE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXPIREREDEPOSIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRENOTICEDAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FADDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISREVENUE CHAR(1) DEFAULT '1' NOT NULL,
FPROFITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_DEPOSITSCHEME') 
 CREATE TABLE T_CIM_DEPOSITSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FTRADECHANNEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FINVESTVARIETIESID BIGINT DEFAULT 0 NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FPRENOTICEDAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTDATE DATETIME,
FTERM NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDEADLINE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FEXPIREDATE DATETIME,
FINTERESTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINTERESTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFERENCERATEID BIGINT DEFAULT 0 NOT NULL,
FRATESIGN NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRATEFLOATPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXPIREREDEPOSIT NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBIZSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FAPPLYDATE DATETIME,
FDEPOSITAPPLYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_DEPOSITSCHEME_L') 
 CREATE TABLE T_CIM_DEPOSITSCHEME_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


/**End D:\PDM\PDM_UPGRADE\PDM1\CIM_table.sql **/
