﻿/**Begin D:\PDM\PDM_UPGRADE\PDM1\CIM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_DEPOSIT_E' AND KSQL_COL_NAME IN ('FPAYBILLID')) 
 ALTER TABLE T_CIM_DEPOSIT_E ADD (FPAYBILLID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_MARKETABC')
 CREATE TABLE T_CIM_MARKETABC (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FUNTILLDATE DATETIME,
FFINORG NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRISKLEVEL NVARCHAR(80) DEFAULT ' ' NOT NULL,
FTERM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPRDNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSELLCHANNEL NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZSTAT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBONSTARTDATE DATETIME,
FBONENDDATE DATETIME,
FFINSTARTDATE DATETIME,
FFINENDDATE DATETIME,
FAPPLYPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPLYREFAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPMINAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPBYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPMAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINSUBMINAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREDEEMMINAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREDEEMBYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREDEEMMAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPLYSTAT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FFINSUBSTAT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FREDEEMSTAT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FACHIBASE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMARKETDATE DATETIME,
FIOPV DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALIOPV DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALBONUS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERREVENUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSEVENRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARTOTALRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUILDRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUILDTOTALRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_MARKETABC_L')
 CREATE TABLE T_CIM_MARKETABC_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


/**End D:\PDM\PDM_UPGRADE\PDM1\CIM_table.sql **/
