﻿/**Begin D:\PDM\PDM_UPGRADE\PDM1\CIM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_CIM_DPTREVENUEBATCH', 'T_CIM_DPTREVENUEBATCH', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_DPTREVENUEBATCH_ORG') CREATE INDEX IDX_CIM_DPTREVENUEBATCH_ORG ON T_CIM_DPTREVENUEBATCH ( FORGID );


 EXEC P_ALTERPK 'PK_T_CIM_DPTREVENUEBATCH_L', 'T_CIM_DPTREVENUEBATCH_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_DPTREVENUEBATCHL_FID') CREATE INDEX IDX_CIM_DPTREVENUEBATCHL_FID ON T_CIM_DPTREVENUEBATCH_L ( FID );


 EXEC P_ALTERPK 'PK_T_CIM_DPTREVENUEBATENTRY', 'T_CIM_DPTREVENUEBATENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_DPTREVBATENTRY_FID') CREATE INDEX IDX_CIM_DPTREVBATENTRY_FID ON T_CIM_DPTREVENUEBATENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_DPTREVBATENTRY_INTID') CREATE INDEX IDX_CIM_DPTREVBATENTRY_INTID ON T_CIM_DPTREVENUEBATENTRY ( FINTBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_DPTREVBATENTRY_LOANID') CREATE INDEX IDX_CIM_DPTREVBATENTRY_LOANID ON T_CIM_DPTREVENUEBATENTRY ( FLOANBILLID );


 EXEC P_ALTERPK 'PK_T_CIM_DPTREVENUE', 'T_CIM_DPTREVENUE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_DPTREVENUE_ORG') CREATE INDEX IDX_CIM_DPTREVENUE_ORG ON T_CIM_DPTREVENUE ( FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_DPTREVENUE_SRCBILLID') CREATE INDEX IDX_CIM_DPTREVENUE_SRCBILLID ON T_CIM_DPTREVENUE ( FSOURCEBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_DPTREVENUE_BILLNO') CREATE INDEX IDX_CIM_DPTREVENUE_BILLNO ON T_CIM_DPTREVENUE ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_DPTREVENUE_LOANBILLNO') CREATE INDEX IDX_CIM_DPTREVENUE_LOANBILLNO ON T_CIM_DPTREVENUE ( FLOANBILLNO );


 EXEC P_ALTERPK 'PK_T_CIM_DPTREVENUE_L', 'T_CIM_DPTREVENUE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_DPTREVENUEL_FID') CREATE INDEX IDX_CIM_DPTREVENUEL_FID ON T_CIM_DPTREVENUE_L ( FID );


 EXEC P_ALTERPK 'PK_T_CIM_DPTREVENUEENTRY', 'T_CIM_DPTREVENUEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_DPTREVENUEENTRY_FID') CREATE INDEX IDX_CIM_DPTREVENUEENTRY_FID ON T_CIM_DPTREVENUEENTRY ( FID );


 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CIM_DEPOSITE_REVPROJECTID') CREATE INDEX IDX_CIM_DEPOSITE_REVPROJECTID ON T_CIM_DEPOSIT_E ( FREVENUEPROJECTID );


/**End D:\PDM\PDM_UPGRADE\PDM1\CIM_constraint.sql **/
