﻿/**Begin D:\PDM\PDM_UPGRADE\PDM1\CIM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_DPTREVENUEBATCH') 
 CREATE TABLE T_CIM_DPTREVENUEBATCH (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FREVENUEDATE DATETIME,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUMMARY NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_DPTREVENUEBATCH_L') 
 CREATE TABLE T_CIM_DPTREVENUEBATCH_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUMMARY NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_DPTREVENUEBATENTRY') 
 CREATE TABLE T_CIM_DPTREVENUEBATENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINTBILLID BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINTDETAILNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLOANBILLID BIGINT DEFAULT 0 NOT NULL,
FLOANBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FINTDAYS INT DEFAULT 0 NOT NULL,
FRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTERESTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALINSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINTDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINTDETAIL_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_DPTREVENUE') 
 CREATE TABLE T_CIM_DPTREVENUE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FLOANBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINVESTVARIETIESID BIGINT DEFAULT 0 NOT NULL,
FREVENUEPROJECTID BIGINT DEFAULT 0 NOT NULL,
FRECACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FRECACCOUNT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLASTREVENUEDATE DATETIME,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FINTERESTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXPIREREDEPOSIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FDEMANDRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREDICTPREINSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTPREINSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRESTARTDATE DATETIME,
FPRESTENDDATE DATETIME,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FINSTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREVENUESORT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCRELEASEID BIGINT DEFAULT 0 NOT NULL,
FRECBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_DPTREVENUE_L') 
 CREATE TABLE T_CIM_DPTREVENUE_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CIM_DPTREVENUEENTRY') 
 CREATE TABLE T_CIM_DPTREVENUEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINSTSTARTDATE DATETIME,
FINSTENDDATE DATETIME,
FINSTDAYS INT DEFAULT 0 NOT NULL,
FINSTPRINCIPALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRATETRANDAYS INT DEFAULT 0 NOT NULL,
FINSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_PROFITSCHEME' AND KSQL_COL_NAME IN ('FDAYS')) 
 ALTER TABLE T_CIM_PROFITSCHEME ADD (FDAYS INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_DEPOSIT_E' AND KSQL_COL_NAME IN ('FREVENUEPROJECTID')) 
 ALTER TABLE T_CIM_DEPOSIT_E ADD (FREVENUEPROJECTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CIM_DEPOSIT_E' AND KSQL_COL_NAME IN ('FLASTREVENUEDATE')) 
 ALTER TABLE T_CIM_DEPOSIT_E ADD (FLASTREVENUEDATE DATETIME );

/**End D:\PDM\PDM_UPGRADE\PDM1\CIM_table.sql **/
